## mauikit 4.0.2

=== debian/changelog ===
mauikit (4.0.2-0zneon+24.04+noble+release+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 May 2025 06:44:50 +0000

mauikit (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 29 May 2025 10:10:24 +0000

mauikit (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 10:08:14 +0000

mauikit (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 25 May 2023 10:08:06 +0000

mauikit (3.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 10:08:20 +0000

mauikit (3.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Dec 2023 10:08:07 +0000

mauikit (3.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 25 May 2023 10:08:06 +0000

mauikit (2.2.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 03 Mar 2023 10:08:09 +0000

mauikit (2.2.1-0neon) jammy; urgency=medium

  [ Jonah Brüchert ]
  * New snapshot

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Fri, 24 Feb 2023 10:08:08 +0000

mauikit (0+git20180904-1) unstable; urgency=medium

  * Initial release

 -- Jonah Brüchert <jbb@kaidan.im>  Tue, 04 Sep 2018 19:57:31 +0200
