## mauikit 4.0.2+p24.04+vstable+git20250905.1603

=== debian/changelog ===
mauikit (4.0.2+p24.04+vstable+git20250905.1603-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 05 Sep 2025 16:03:40 +0000
