## mauikit 4.0.2+p24.04+vstable+git20250914.1730

=== debian/changelog ===
mauikit (4.0.2+p24.04+vstable+git20250914.1730-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 17:30:06 +0000
