=== debian/control ===
Source: mauikit
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-purpose-dev,
               kf6-solid-dev,
               kf6-syntax-highlighting-dev,
               libxcb-icccm4-dev,
               libxcb-shape0-dev,
               mauiman-dev,
               ninja-build,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-svg-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://maui-project.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/mauikit.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/mauikit
Maintainer: Neon CI <neon@kde.org>

Package: libmauikit
Architecture: any
Depends: mauiman,
         qml6-module-org-maui-mauikit (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Kit for developing MAUI Apps.
 A set of templated controls and tools based off QQC2 and Kirigami
 shared among the Maui set of applications
 .
 Maui Kit helps to quickly build UIs that follow the Maui HIG
 and bring ready to go tools for different platforms,
 such as Android and Linux
 .
 This package contains the mauikit shared library

Package: mauikit-dev
Architecture: any
Depends: libmauikit (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Kit for developing MAUI Apps.
 A set of templated controls and tools based off QQC2 and Kirigami
 shared among the Maui set of applications
 .
 Maui Kit helps to quickly build UIs that follow the Maui HIG
 and bring ready to go tools for different platforms,
 such as Android and Linux
 .
 This package contains mauikit development files

Package: qml6-module-org-maui-mauikit
Architecture: any
Depends: libmauikit (= ${binary:Version}),
         qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-purpose,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-shapes,
         qml6-module-qtwebengine,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-kde-mauikit (<< 4.0.0)
Replaces: qml-module-org-kde-mauikit (<< 4.0.0)
Description: Kit for developing MAUI Apps.
 A set of templated controls and tools based off QQC2 and Kirigami
 shared among the Maui set of applications
 .
 Maui Kit helps to quickly build UIs that follow the Maui HIG
 and bring ready to go tools for different platforms,
 such as Android and Linux
 .
 This package contains the mauikit qml module

Package: qml-module-org-maui-mauikit
Architecture: all
Depends: qml6-module-org-maui-mauikit, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
