=== debian/changelog ===
mauikit (4.0.2+p24.04+vstable+git20251019.0617-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:18:03 +0000
