## mauikit 4.0.2+p24.04+vstable+git20251110.0121

=== debian/changelog ===
mauikit (4.0.2+p24.04+vstable+git20251110.0121-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 10 Nov 2025 01:21:41 +0000
