## mauikit 4.0.2+p24.04+vstable+git20251123.1610

=== debian/changelog ===
mauikit (4.0.2+p24.04+vstable+git20251123.1610-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 16:10:16 +0000
